This commit is contained in:
Alexandre
2023-05-21 10:53:05 +02:00
2 changed files with 10 additions and 5 deletions

View File

@@ -75,10 +75,7 @@ RUN if ! command -v bash >/dev/null 2>/dev/null; then (apt-get update && apt-get
# 4 Entrypoint #
################
RUN chmod a+x /usr/sbin/healthcheck && \
chmod a+x /usr/sbin/wait-for-signal
WORKDIR [ "/app" ]
WORKDIR "/app"
ENTRYPOINT [ "/init" ]
############
@@ -115,4 +112,11 @@ LABEL \
# 6 Healthcheck #
#################
HEALTHCHECK --interval=10s --timeout=5s --retries=3 CMD healthcheck
ENV HEALTH_PORT="9000" \
HEALTH_URL="/api/system/status"
HEALTHCHECK \
--interval=5s \
--retries=5 \
--start-period=30s \
--timeout=25s \
CMD curl --fail "http://127.0.0.1:${HEALTH_PORT}${HEALTH_URL}" &>/dev/null || exit 1

View File

@@ -9,4 +9,5 @@ bashio::require.unprotected
# Set environemnt
# Launch app
cd /app || true
./agent "$PORTAINER_AGENT_ARGS"